require 'bitcointrade_sdk/base'

module BitcointradeSDK
  module Bitcoin
    class Withdraw < ::BitcointradeSDK::Base
      def fee
        send_request(:get, '/bitcoin/withdraw/fee')['data']
      end

      def list
        send_request(:get, '/bitcoin/withdraw/list')['data']
      end

      def create!(destination:, amount:, fee:, fee_type:)
        params = {
          'destination' => destination,
          'amount' =>      amount,
          'fee'=>          fee,
          'fee_type' =>    fee_type
        }

        send_request(:post, '/bitcoin/withdraw', params)['data']
      end
    end
  end
end
