require 'bitcointrade_sdk/base'

module BitcointradeSDK
  class Market < ::BitcointradeSDK::Base
    def book_orders(currency:)
      send_request(:get, '/market', { currency: currency })['data']
    end

    def summary(currency:)
      send_request(:get, '/market/summary', { currency: currency })['data']
    end

    def create_order!(currency:, type:, subtype:, amount:, unit_price:)
      params = {
        'currency'    => currency,
        'type'        => type,
        'subtype'     => subtype,
        'amount'      => amount,
        'unit_price'  => unit_price
      }

      send_request(:post, '/market/create_order', params)['data']
    end

    def user_orders(opts: {})
      send_request(:get, '/market/user_orders', opts)['data']
    end

    def cancel_order(order_id:)
      send_request(:delete, '/market/user_orders', { id: order_id })['data']
    end

    def estimated_price(opts: {})
      send_request(:get, '/market/estimated_price', {})['data']
    end
  end
end
